package com.pixelized.biblib.ui.theme.shape

import androidx.compose.foundation.shape.RoundedCornerShape
import androidx.compose.material.Shapes
import androidx.compose.runtime.Immutable
import androidx.compose.runtime.Stable
import androidx.compose.ui.graphics.Shape
import androidx.compose.ui.unit.dp

@Stable
@Immutable
data class BibLibShape(
    val base: Shapes = Shapes(
        small = RoundedCornerShape(50),
        medium = RoundedCornerShape(4.dp),
        large = RoundedCornerShape(0.dp),
    ),
    val bookThumbnailCoverSmall: Shape = RoundedCornerShape(4.dp),
    val bookThumbnailCoverLarge: Shape = RoundedCornerShape(4.dp),
    val sheet: Shape = RoundedCornerShape(topEnd = 16.dp, topStart = 16.dp),
)